Debian Bug report logs - #386707
debmirror: Missing dependency on libdigest-sha1-perl

version graph

Package: debmirror; Maintainer for debmirror is Joey Hess <joeyh@debian.org>; Source for debmirror is src:debmirror.

Reported by: Peter Colberg <peterco@gmx.net>

Date: Sat, 9 Sep 2006 15:18:25 UTC

Severity: serious

Tags: fixed

Found in version debmirror/20060907

Fixed in versions 20060907.1, debmirror/20070123

Done: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Bug#386707; Package debmirror. Full text and rfc822 format available.

Acknowledgement sent to Peter Colberg <peterco@gmx.net>:
New Bug report received and forwarded. Copy sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Colberg <peterco@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debmirror: Missing dependency on libdigest-sha1-perl
Date: Sat, 09 Sep 2006 17:15:43 +0200
Package: debmirror
Version: 20060907
Severity: normal

A further tiny error (if not already spotted): the package is missing
a required dependency on libdigest-sha1-perl, which is not included in
the perl distribution.

Regards,
Peter


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (400, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-maia
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages debmirror depends on:
ii  bzip2                         1.0.3-6    high-quality block-sorting file co
ii  libcompress-zlib-perl         1.42-1     Perl module for creation and manip
ii  liblockfile-simple-perl       0.2.5-7    Simple advisory file locking
ii  libwww-perl                   5.805-1    WWW client/server library for Perl
ii  perl [libdigest-md5-perl]     5.8.8-6.1  Larry Wall's Practical Extraction 
ii  perl-modules [libnet-perl]    5.8.8-6.1  Core Perl modules
ii  rsync                         2.6.8-2    fast remote file copy program (lik

Versions of packages debmirror recommends:
ii  gnupg                         1.4.5-1    GNU privacy guard - a free PGP rep
ii  patch                         2.5.9-4    Apply a diff file to an original

-- no debconf information



Severity set to `serious' from `normal' Request was from Faidon Liambotis <paravoid@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Bug#386707; Package debmirror. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>. Full text and rfc822 format available.

Message #12 received at 386707@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 386707@bugs.debian.org
Subject: NMU diff
Date: Sat, 16 Sep 2006 12:57:28 +0200
[Message part 1 (text/plain, inline)]
Hi,

I just NMUed for this bug. See attached patch.

Regards,

Rene
-- 
''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

[debmirror.diff (text/plain, attachment)]

Tags added: fixed Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 20060907.1, send any further explanations to Peter Colberg <peterco@gmx.net> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Peter Colberg <peterco@gmx.net>:
Bug#386707. Full text and rfc822 format available.

Message #19 received at 386707-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 386081-submitter@bugs.debian.org, 386185-submitter@bugs.debian.org, 386201-submitter@bugs.debian.org, 386202-submitter@bugs.debian.org, 386222-submitter@bugs.debian.org, 386223-submitter@bugs.debian.org, 386229-submitter@bugs.debian.org, 386267-submitter@bugs.debian.org, 386305-submitter@bugs.debian.org, 386319-submitter@bugs.debian.org, 386491-submitter@bugs.debian.org, 386620-submitter@bugs.debian.org, 386707-submitter@bugs.debian.org, 386719-submitter@bugs.debian.org, 386829-submitter@bugs.debian.org, 386833-submitter@bugs.debian.org, 386902-submitter@bugs.debian.org, 387063-submitter@bugs.debian.org, 387094-submitter@bugs.debian.org, 387133-submitter@bugs.debian.org, 387220-submitter@bugs.debian.org, 387433-submitter@bugs.debian.org, 387972-submitter@bugs.debian.org, 387974-submitter@bugs.debian.org, 387983-submitter@bugs.debian.org, 388026-submitter@bugs.debian.org, 388082-submitter@bugs.debian.org, 388193-submitter@bugs.debian.org, 388314-submitter@bugs.debian.org, 388535-submitter@bugs.debian.org, 388605-submitter@bugs.debian.org, 388609-submitter@bugs.debian.org, 388661-submitter@bugs.debian.org, 388831-submitter@bugs.debian.org, 389171-submitter@bugs.debian.org, 389233-submitter@bugs.debian.org, 389246-submitter@bugs.debian.org, 389304-submitter@bugs.debian.org, 389350-submitter@bugs.debian.org, 389352-submitter@bugs.debian.org, 389375-submitter@bugs.debian.org, 389377-submitter@bugs.debian.org, 389387-submitter@bugs.debian.org, 389391-submitter@bugs.debian.org, 389458-submitter@bugs.debian.org, 389560-submitter@bugs.debian.org, 389609-submitter@bugs.debian.org, 389639-submitter@bugs.debian.org, 389640-submitter@bugs.debian.org, 389696-submitter@bugs.debian.org, 389760-submitter@bugs.debian.org, 389769-submitter@bugs.debian.org, 389965-submitter@bugs.debian.org, 389968-submitter@bugs.debian.org, 390008-submitter@bugs.debian.org, 390276-submitter@bugs.debian.org, 390304-submitter@bugs.debian.org, 390384-submitter@bugs.debian.org, 390390-submitter@bugs.debian.org, 390403-submitter@bugs.debian.org, 390416-submitter@bugs.debian.org, 390467-submitter@bugs.debian.org, 390560-submitter@bugs.debian.org, 390657-submitter@bugs.debian.org, 390666-submitter@bugs.debian.org, 390671-submitter@bugs.debian.org, 390969-submitter@bugs.debian.org, 391025-submitter@bugs.debian.org, 391157-submitter@bugs.debian.org, 391181-submitter@bugs.debian.org, 391190-submitter@bugs.debian.org, 391199-submitter@bugs.debian.org, 391201-submitter@bugs.debian.org, 391206-submitter@bugs.debian.org, 391208-submitter@bugs.debian.org, 391237-submitter@bugs.debian.org, 391257-submitter@bugs.debian.org, 391266-submitter@bugs.debian.org, 391291-submitter@bugs.debian.org, 391391-submitter@bugs.debian.org, 391465-submitter@bugs.debian.org, 391566-submitter@bugs.debian.org, 391601-submitter@bugs.debian.org, 391695-submitter@bugs.debian.org, 391696-submitter@bugs.debian.org, 391697-submitter@bugs.debian.org, 391749-submitter@bugs.debian.org, 391750-submitter@bugs.debian.org, 391752-submitter@bugs.debian.org, 391754-submitter@bugs.debian.org, 391755-submitter@bugs.debian.org, 391760-submitter@bugs.debian.org, 391766-submitter@bugs.debian.org, 391767-submitter@bugs.debian.org, 391782-submitter@bugs.debian.org, 391791-submitter@bugs.debian.org, 391808-submitter@bugs.debian.org, 391846-submitter@bugs.debian.org, 391848-submitter@bugs.debian.org, 392053-submitter@bugs.debian.org, 392154-submitter@bugs.debian.org, 392164-submitter@bugs.debian.org, 392166-submitter@bugs.debian.org, 392318-submitter@bugs.debian.org, 392422-submitter@bugs.debian.org, 392730-submitter@bugs.debian.org, 392734-submitter@bugs.debian.org, 392850-submitter@bugs.debian.org, 392855-submitter@bugs.debian.org, 393012-submitter@bugs.debian.org, 393044-submitter@bugs.debian.org, 393051-submitter@bugs.debian.org, 393388-submitter@bugs.debian.org, 393449-submitter@bugs.debian.org, 393726-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sat, 21 Oct 2006 23:44:56 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 386081 0.99.10-1.1
close 386185 6.5.0.cvs.20060524-1.1
close 386201 2.0.14-0.1
close 386202 2.0.14-0.1
close 386222 0.13.alfa.8-3.1
close 386223 0.13-13.2
close 386229 0.35-6.1
close 386267 2.0.5-1.1
close 386305 0.0.26-5.1
close 386319 1.2.0-3.2
close 386491 1.1-2.1
close 386620 0.3.8-5.1
close 386707 20060907.1
close 386719 2.0.5-1.1
close 386829 0.65.1
close 386833 0.15-1.2
close 386902 2.2.3-1.2
close 387063 2.6.4-2.1
close 387094 2.2.3-1.3
close 387133 2:1.0.0-9
close 387220 0.65.1
close 387433 1.3-1.2
close 387972 0.0.20060309-5.1
close 387974 0.0.20060309-5.1
close 387983 2:0.92-3.1
close 388026 2.8.5-1.2
close 388082 0.0.20060309-5.1
close 388314 1:0.3.7-3.1
close 388535 1.4.3.dfsg-1.2
close 388605 1.0.2-0.1
close 388609 0.3.7-4.2
close 388661 0.15-16.1
close 389171 1.23-1.1
close 389233 1.99.beta2.1
close 389246 2.7.7-12.1
close 389304 3.2.3-1.1
close 389350 2.0.4-2.1
close 389352 3.3.0-5.4
close 389375 2.4.0-4.2
close 389377 1.0.4-1.2
close 389387 2.6.2-24.1
close 389391 0.3.8-1.2
close 389458 0.35-6.1
close 389560 2:0.92-3.1
close 389609 1.2.4par-0.2
close 389639 1.1.1-0.2
close 389640 0.3.7-4.2
close 389696 0.6-2.1
close 389760 1.1.0+1.1.1-a021-1.1
close 389769 3.0.8-0.2
close 389965 4.4rc.2-3.1
close 389968 4.51.5-1.1
close 390008 0.9.6-1.1
close 390276 2.13~beta3-0.1
close 390304 0.2.0-1
close 390384 0.12-5.1
close 390390 2.8.8-1.1
close 390403 0.0.20040112.dfsg-0.2
close 390467 1.0.0-1.1
close 390560 6.5.1-0.2
close 390657 1.0+dfsg0-0.1
close 390666 0.4.5+dfsg0-0.1
close 390671 3.13-7.1
close 390969 0.2-2.2
close 391025 1.1.2-1.1
close 391157 2.2.0-3.1
close 391181 2.0.10.1.1
close 391190 0.09-1.1
close 391199 0.84-6.1
close 391201 1.0.1-2.1
close 391206 2003.00.00-2.1
close 391208 0.7-9.1
close 391237 5.6.3-2.1
close 391257 0.20.1-1.1
close 391266 1.5.12.1-19.1
close 391291 0.0.20060309-5.2
close 391391 0.12-2.2
close 391465 2.0-8.1
close 391566 1:1.6.1-7.1
close 391601 3:20020927-3.1
close 391695 0.4.6-0.1
close 391696 1:3.9.20060704-2.1
close 391697 2.0-6.1
close 391749 1.0-1.1
close 391750 2.0.2-2.2
close 391752 1.1.1-6.1
close 391754 4.4rc.2-3.1
close 391755 1.1.4-3.1
close 391760 4.996-5.0-rc7-1.1
close 391767 2.0.48-4-2.2
close 391782 0.4-1.1
close 391791 1.2.6-1.1
close 391808 3.5-1.2
close 391848 0.2.7.1-1.1
close 392053 0.5.0-1.4
close 392154 3.06.dfsg.1-0.1
close 392164 0.31-5.1
close 392166 1.2
close 392318 1.5.1.dfsg-2.1
close 392422 0.2.0-1
close 392730 0.4.6-0.2
close 392855 1.4.29-1
close 393012 0.4-1.1
close 393044 5.4.2-1.1
close 393051 1.9~b3-1
close 393388 0.4.5+dfsg0-0.1
close 393726 1.71.0.dfsg.1-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: pending Request was from Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Colberg <peterco@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 386707-close@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: 386707-close@bugs.debian.org
Subject: Bug#386707: fixed in debmirror 20070123
Date: Sun, 28 Jan 2007 17:47:03 +0000
Source: debmirror
Source-Version: 20070123

We believe that the bug you reported is fixed in the latest version of
debmirror, which is due to be installed in the Debian FTP archive:

debmirror_20070123.dsc
  to pool/main/d/debmirror/debmirror_20070123.dsc
debmirror_20070123.tar.gz
  to pool/main/d/debmirror/debmirror_20070123.tar.gz
debmirror_20070123_all.deb
  to pool/main/d/debmirror/debmirror_20070123_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386707@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> (supplier of updated debmirror package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 23 Jan 2007 14:53:14 +0100
Source: debmirror
Binary: debmirror
Architecture: source all
Version: 20070123
Distribution: unstable
Urgency: low
Maintainer: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Changed-By: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Description: 
 debmirror  - Debian partial mirror script, with ftp and package pool support
Closes: 386697 386707 397936 399058 399834 400054 400526 401245
Changes: 
 debmirror (20070123) unstable; urgency=low
 .
   * Add dependency for libdigest-sha1-perl (ACK NMU) (Closes: #386707)
   * Change manpage entry for --pdiff (Closes: #386697)
   * Fix Release.gpg check to use gpgv (Closes: #400526)
   * Fix use of uninitialized value in addition
   * Count errors in pdiff files as small errors (Closes: #400054)
   * Cleanup tempfiles (Closes: 399834)
   * Fix manpage permissions with patch by (Closes: #399058)
     "Dmitry E. Oboukhov" <dimka@avanto.org>
   * Skip pdiff files if patch binary is missing (Closes: #401245)
   * Skip pdiff files if ed binary is missing and recommend it (Closes: #397936)
Files: 
 3072f05ba56be15afe302a76e31bb5f5 494 net extra debmirror_20070123.dsc
 e89d7b8aae00fbf0743b2cd6bc99d746 22875 net extra debmirror_20070123.tar.gz
 c93c6d9d26a9f643544cfc7f9e13ee7c 30276 net extra debmirror_20070123_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFvN6HlAuUx1tI/64RAhDYAKCjS8Ulo6nhFHecMile14IfqL15wQCdH+oz
bf9SGpAIq505joOkplOggMc=
=B857
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 12:22:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:10:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.